## ros-indigo-rqt-controller-manager 0.9.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rqt_controller_manager)

find_package(catkin REQUIRED COMPONENTS
  controller_manager
  rqt_gui
)

catkin_python_setup()

catkin_package()

install(DIRECTORY plugins
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS
  scripts/rqt_controller_manager
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-rqt-controller-manager (0.9.7-0trusty) trusty; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Fri, 18 May 2018 23:00:00 -0000

ros-indigo-rqt-controller-manager (0.9.6-0trusty) trusty; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Sun, 15 Apr 2018 23:00:00 -0000

ros-indigo-rqt-controller-manager (0.9.5-0trusty) trusty; urgency=high

  * Add install rule for standalone executable
  * Contributors: Bence Magyar

 -- Kelsey Hawkins <kphawkins@gatech.edu>  Sun, 25 Mar 2018 23:00:00 -0000

ros-indigo-rqt-controller-manager (0.9.4-0trusty) trusty; urgency=high

  * Added standalone rqt_controller_manager script
  * Contributors: Marco Esposito

 -- Kelsey Hawkins <kphawkins@gatech.edu>  Fri, 12 Feb 2016 00:00:00 -0000

ros-indigo-rqt-controller-manager (0.9.3-0trusty) trusty; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Mon, 04 May 2015 23:00:00 -0000

ros-indigo-rqt-controller-manager (0.9.2-0trusty) trusty; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Sun, 03 May 2015 23:00:00 -0000

ros-indigo-rqt-controller-manager (0.9.1-0trusty) trusty; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Mon, 03 Nov 2014 00:00:00 -0000

ros-indigo-rqt-controller-manager (0.9.0-0trusty) trusty; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Fri, 31 Oct 2014 00:00:00 -0000

ros-indigo-rqt-controller-manager (0.8.2-0trusty) trusty; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Tue, 24 Jun 2014 23:00:00 -0000

ros-indigo-rqt-controller-manager (0.8.1-0trusty) trusty; urgency=high

  * Register plugin under a group. Fixes #162 <https://github.com/pal-robotics/ros_control/issues/162>.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Kelsey Hawkins <kphawkins@gatech.edu>  Mon, 23 Jun 2014 23:00:00 -0000

ros-indigo-rqt-controller-manager (0.8.0-0trusty) trusty; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Sun, 11 May 2014 23:00:00 -0000

ros-indigo-rqt-controller-manager (0.7.2-0trusty) trusty; urgency=high

  * Add plugin resources to installation target.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Kelsey Hawkins <kphawkins@gatech.edu>  Mon, 31 Mar 2014 23:00:00 -0000

ros-indigo-rqt-controller-manager (0.7.1-0trusty) trusty; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Sun, 30 Mar 2014 23:00:00 -0000

ros-indigo-rqt-controller-manager (0.7.0-0trusty) trusty; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Fri, 28 Mar 2014 00:00:00 -0000

ros-indigo-rqt-controller-manager (0.6.0-0trusty) trusty; urgency=high

  * Added controller namespace detection and switching, loadable controller parameter detection and buttons for loading or starting the controller directly from the parameter server.
  * Resources -> Claimed Resources column title
  * Initial commit for rqt controller manager plugin.  Plugin seems functional from first tests.  Allows users to unload/load/start/stop/view available controllers.  No functionality yet exists for loading a controller from scratch.
  * Contributors: Kelsey

 -- Kelsey Hawkins <kphawkins@gatech.edu>  Wed, 05 Feb 2014 00:00:00 -0000

ros-indigo-rqt-controller-manager (0.5.8-0trusty) trusty; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Thu, 10 Oct 2013 23:00:00 -0000

ros-indigo-rqt-controller-manager (0.5.7-0trusty) trusty; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Mon, 29 Jul 2013 23:00:00 -0000

ros-indigo-rqt-controller-manager (0.5.6-0trusty) trusty; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Sun, 28 Jul 2013 23:00:00 -0000

ros-indigo-rqt-controller-manager (0.5.5-0trusty) trusty; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Tue, 23 Jul 2013 16:04:00 -0000

ros-indigo-rqt-controller-manager (0.5.4-0trusty) trusty; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Tue, 23 Jul 2013 13:37:00 -0000

ros-indigo-rqt-controller-manager (0.5.3-0trusty) trusty; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Mon, 22 Jul 2013 17:06:00 -0000

ros-indigo-rqt-controller-manager (0.5.2-0trusty) trusty; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Mon, 22 Jul 2013 14:00:00 -0000

ros-indigo-rqt-controller-manager (0.5.1-0trusty) trusty; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Thu, 18 Jul 2013 23:00:00 -0000

ros-indigo-rqt-controller-manager (0.5.0-0trusty) trusty; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Mon, 15 Jul 2013 23:00:00 -0000

ros-indigo-rqt-controller-manager (0.4.0-0trusty) trusty; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Mon, 24 Jun 2013 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-rqt-controller-manager
Section: misc
Priority: extra
Maintainer: Kelsey Hawkins <kphawkins@gatech.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-controller-manager, ros-indigo-rqt-gui
Homepage: http://ros.org/wiki/rqt_controller_manager
Standards-Version: 3.9.2

Package: ros-indigo-rqt-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-controller-manager, ros-indigo-rqt-gui
Description: The rqt_controller_manager package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rqt-controller-manager//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
